/* sqfigbdr.c -- Square-Figure (B version) driver program.
**
** Copyright (C) 2003 Eric Laroche.  All rights reserved.
**
** @author Eric Laroche <laroche@lrdev.com>
** @version @(#)$Id: sqfigbdr.c,v 1.2 2003/10/04 06:49:04 laroche Exp $
**
** @reference http://www.lrdev.com/lr/c/sqfig.html
**
** This program is free software;
** you can redistribute it and/or modify it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>


#include "sqfigb.h"


/** Figure counts.
*/
static void counts(int upperSize)
{
	int size, c, d;

	for (size = 0; size < upperSize; size++) {
		printf("figure size %d: ", size);
		countFigures(size, &c, &d);
		printf("%d figures (%d distincts)\n", c, d);
	}
}


/** sqfigb application starting point.
*/
int main(void)
{
	counts(
		32); /* upperSize: (large) default: bit-size of a 32-bit-system int */
	return 0;
}

